<?php
/** -----------------------------------------
 *  Version: 2.50
 *  Web: http://www.gaestebuch-script.de/
 *  Auto: SchubertMedia
 *  E-Mail: info@schubertmedia.de
 *
 *  Es ist untersagt den Copyright-Hinweis zu
 *  entfernen bei den Gstebuch Script.
 *  Ein Copyright freie Version knnen Sie fr
 *  einmalig 10,- EUR inkl. 19 % MwSt. erwerben,
 *  hierzu mchten wir Sie bitten das Bestellformular
 *  http://www.gaestebuch-script.de/bestellen.php
 *  zu nutzen.
 * -----------------------------------------
 */
include_once(dirname(__FILE__) . '/../config.php');
if ($debug == 1) {
  error_reporting(E_ALL);
}
$lang = array();
if (file_exists(dirname(__FILE__) . '/../language/' . $language_file))
  include_once(dirname(__FILE__) . '/../language/' . $language_file);
else {
  echo 'No Language File existing.';
  exit;
}
if (isset($charset)) {
  header('Content-Type: text/html; charset=' . $charset);
}
include(dirname(__FILE__) . '/template_header.tpl');
?>
    <script>
      if (parent.frames.length === 0) {
        location.href = "index.php"
      }
    </script>
    <h1><?php echo $lang['admin_78']; ?></h1>
    <p><?php echo $lang['admin_79']; ?></p>
    <table class="modul-table">
        <tr>
            <th><?php echo $lang['admin_82']; ?></th>
            <th><?php echo $lang['admin_83']; ?></th>
            <th><?php echo $lang['admin_84']; ?></th>
        </tr>
      <?php
      $arrModule = [
        'Captcha-Schutz Modul' => [
          'check' => @file_exists(dirname(__FILE__) . '/../bild.php'),
          'explanation' => $lang['admin_87']
        ],
        'Wortfilter-Schutz Modul' => [
          'check' => @file_exists(dirname(__FILE__) . '/inc/wortfilter.php'),
          'explanation' => $lang['admin_88']
        ]
      ];

      foreach ($arrModule as $strModulName => $arrModulDetails) {
        echo "<tr>";
        echo "<td>{$strModulName}</td>";
        echo "<td class='" . ($arrModulDetails['check'] ? "aktiv" : "nicht-aktiv") . "'>";
        echo $arrModulDetails['check'] ? $lang['admin_85'] : $lang['admin_86'];
        echo "</td>";
        echo "<td>";
        echo $arrModulDetails['explanation'];
        echo "</td>";
        echo "</tr>";
      }
      ?>
    </table>

<?php if (!$arrModule['Captcha-Schutz Modul']['check'] || !$arrModule['Wortfilter-Schutz Modul']['check']): ?>
    <div class="erweiterung-hinweis">
        <p><?php printf($lang['admin_80'], '<a href="https://www.gaestebuch-script.de/bestellen.html" target="_blank">', '</a>'); ?></p>
    </div>
<?php endif;
include(dirname(__FILE__) . '/template_footer.tpl');