<?php
/** -----------------------------------------
 *  Version: 2.50
 *  Web: http://www.gaestebuch-script.de/
 *  Auto: SchubertMedia
 *  E-Mail: info@schubertmedia.de
 *
 *  Es ist untersagt den Copyright-Hinweis zu
 *  entfernen bei den Gästebuch Script.
 *  Ein Copyright freie Version können Sie für
 *  einmalig 10,- EUR inkl. 19 % MwSt. erwerben,
 *  hierzu möchten wir Sie bitten das Bestellformular
 *  http://www.gaestebuch-script.de/bestellen.php
 *  zu nutzen.
 * -----------------------------------------
 */
include_once(dirname(__FILE__) . '/../config.php');
if ($debug == 1) {
  error_reporting(E_ALL);
}
include_once(dirname(__FILE__) . '/dbi/dbi_mysqli.php');
include_once(dirname(__FILE__) . '/inc/functions.inc.php');
if (isset($charset)) {
  header('Content-Type: text/html; charset=' . $charset);
}
include_once(dirname(__FILE__) . '/template_header.tpl');
include_once(dirname(__FILE__) . '/inc/db.inc.php');
$lang = array();
if (file_exists(dirname(__FILE__) . '/../language/' . $language_file))
  include_once(dirname(__FILE__) . '/../language/' . $language_file);
else {
  echo 'No Language File existing.';
  exit;
}
$error = '';
$true = '';
$id = (int)get_postvar('id');
$hintergrundfarbe = get_postvar('hintergrundfarbe');
$anzahl_eintraege = (int)get_postvar('anzahl_eintraege');
$ausgabetabelle_rf = get_postvar('ausgabetabelle_rf');
$ausgabetabelle_kopf_rf = get_postvar('ausgabetabelle_kopf_rf');
$schrift_art = get_postvar('schrift_art');
$schrift_grosse = (int)get_postvar('schrift_grosse');
$sortieren_nach = get_postvar('sortieren_nach');
$breite_input = (int)get_postvar('breite_input');
$schriftfarbe_kopf = get_postvar('schriftfarbe_kopf');
$innenab_kopf = (int)get_postvar('innenab_kopf');
$schriftfarbe = get_postvar('schriftfarbe');
$linkfarbe = get_postvar('linkfarbe');
$farbeline = get_postvar('farbeline');
$breite = (int)get_postvar('breite');
$icq_anzeigen = (int)get_postvar('icq_anzeigen');
$datenschutzerklaerung_anzeigen = (int)get_postvar('datenschutzerklaerung_anzeigen');
$link_datenschutzerklaerung = get_postvar('link_datenschutzerklaerung');
$farbe_success_message = get_postvar('farbe_success_message');
$farbe_error = get_postvar('farbe_error');
$captcha_anzeigen = get_postvar('captcha_anzeigen');
$wortfilter_aktiv = get_postvar('wortfilter_aktiv');
if (isset ($_POST["save"]) == 'speichern') {
  if ($id != 0) {
    $rechsth = $dbh->prepare("UPDATE `gblayout` SET  hintergrundfarbe = ? , anzahl_eintraege = ? , ausgabetabelle_rf = ? , 
                       ausgabetabelle_kopf_rf = ? , schrift_art = ? , schrift_grosse = ?, sortieren_nach = ?, breite_input = ?, 
                       schriftfarbe_kopf = ?, innenab_kopf =?, schriftfarbe = ?, linkfarbe = ?, breite =? , farbeline =?, 
                       icq_anzeigen=?, datenschutzerklaerung_anzeigen = ?, link_datenschutzerklaerung = ?, farbe_success_message = ?, 
                       farbe_error = ?, captcha_anzeigen =?, wortfilter_aktiv = ? WHERE id = ? LIMIT 1");
    $rechsth->execute($hintergrundfarbe, $anzahl_eintraege, $ausgabetabelle_rf, $ausgabetabelle_kopf_rf, $schrift_art, $schrift_grosse,
      $sortieren_nach, $breite_input, $schriftfarbe_kopf, $innenab_kopf, $schriftfarbe, $linkfarbe, $breite, $farbeline, $icq_anzeigen,
      $datenschutzerklaerung_anzeigen, $link_datenschutzerklaerung, $farbe_success_message, $farbe_error, $captcha_anzeigen, $wortfilter_aktiv, $id);
    $true .=  $lang['admin_16'] . '<br>';
  } else {
    if ($id == 0) {
      $rechsth = $dbh->prepare("INSERT INTO `gblayout` VALUES ( ?, ? , ?,  ? , ? , ? , ? , ? , ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ? );");
      $rechsth->execute('', $hintergrundfarbe, $anzahl_eintraege, $ausgabetabelle_rf, $ausgabetabelle_kopf_rf, $schrift_art, $schrift_grosse,
        $sortieren_nach, $breite_input, $schriftfarbe_kopf, $innenab_kopf, $schriftfarbe, $farbeline, $icq_anzeigen, $datenschutzerklaerung_anzeigen,
        $link_datenschutzerklaerung, $farbe_success_message, $farbe_error, $captcha_anzeigen, $wortfilter_aktiv);
      $id = $rechsth->insert_id();
      $true .=  $lang['admin_17'] . '<br>';
    }
  }
}
if (isset ($_GET['id']) || $id != 0) {
  $sql_de = $dbh->prepare("SELECT * FROM `gblayout` WHERE id= ? ");
  if (!isset ($_GET['id'])) {
    $_GET['id'] = (int)$id;
  }
  $sql_de->execute($_GET['id']);
  if ($data = $sql_de->fetchrow_hash()) {
    $id = (int)$_GET['id'];
    foreach ($data as $key => $value) {
      $$key = strip_tags(trim(htmlentities(stripslashes($value))));
    }
  } else {
    $error .=  $lang['admin_18'] . '<br>';
    $id = 0;
    $hintergrundfarbe = '';
    $anzahl_eintraege = '';
    $ausgabetabelle_rf = '';
    $ausgabetabelle_kopf_rf = '';
    $schrift_art = '';
    $schrift_grosse = '';
    $sortieren_nach = '';
    $breite_input = '';
    $schriftfarbe_kopf = '';
    $innenab_kopf = '';
    $schriftfarbe = '';
    $linkfarbe = '';
    $breite = '';
    $farbeline = '';
    $icq_anzeigen = 0;
    $datenschutzerklaerung_anzeigen = 0;
    $link_datenschutzerklaerung = 0;
    $farbe_success_message = '';
    $farbe_error = '';
    $captcha_anzeigen='';
    $wortfilter_aktiv='';
  }
}
?>
    <script>
      if (parent.frames.length === 0) {
        location.href = "index.php"
      }
    </script>
    <h1><?php echo $lang['admin_28']; ?></h1>
    <p><?php echo $lang['admin_29']; ?></p>
<?php
if ($error != '') {
  ?>
    <p class="nicht-aktiv"><?php echo $error; ?></p>
  <?php

}
if ($true != '') {
  ?>
    <p class="aktiv"><?php echo $true; ?></p>
<?php } ?>
    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
        <input type="hidden" name="save" value="speichern"/>
        <input type="hidden" name="id" value="<?php echo $id; ?>"/><br/>
        <table class="tabelle2">

            <tr>
                <td>
                    <label for="hintergrundfarbe"><b><?php echo $lang['admin_30']; ?></b><br/><?php echo $lang['admin_31']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="hintergrundfarbe" id="hintergrundfarbe" size="60"
                           value="<?php echo $hintergrundfarbe; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="anzahl_eintraege"><b><?php echo $lang['admin_32']; ?></b><br/><?php echo $lang['admin_33']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="number" name="anzahl_eintraege" id="anzahl_eintraege" size="60"
                           value="<?php echo $anzahl_eintraege; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="ausgabetabelle_rf"><b><?php echo $lang['admin_34']; ?></b><br/><?php echo $lang['admin_35']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="ausgabetabelle_rf" id="ausgabetabelle_rf" size="60"
                           value="<?php echo $ausgabetabelle_rf; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="ausgabetabelle_kopf_rf"><b><?php echo $lang['admin_36']; ?></b><br/><?php echo $lang['admin_37']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="ausgabetabelle_kopf_rf" id="ausgabetabelle_kopf_rf" size="60"
                           value="<?php echo $ausgabetabelle_kopf_rf; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="farbeline"><b><?php echo $lang['admin_61']; ?></b><br/><?php echo $lang['admin_62']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="farbeline" id="farbeline" size="60" value="<?php echo $farbeline; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="schriftfarbe_kopf"><b><?php echo $lang['admin_51']; ?></b><br/><?php echo $lang['admin_52']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="schriftfarbe_kopf" id="schriftfarbe_kopf" size="60"
                           value="<?php echo $schriftfarbe_kopf; ?>"

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="farbe_error"><b><?php echo $lang['admin_70']; ?></b><br/><?php echo $lang['admin_71']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="farbe_error" id="farbe_error" size="60"
                           value="<?php echo $farbe_error; ?>"

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="farbe_success_message"><b><?php echo $lang['admin_72']; ?></b><br/><?php echo $lang['admin_73']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="farbe_success_message" id="farbe_success_message" size="60"
                           value="<?php echo $farbe_success_message; ?>"

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="innenab_kopf"><b><?php echo $lang['admin_53']; ?></b><br/><?php echo $lang['admin_54']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="number" name="innenab_kopf" id="innenab_kopf" size="60"
                           value="<?php echo $innenab_kopf; ?>">
                  <?php echo $lang['admin_50']; ?>
                    <br>
                </td>
            </tr>

            <tr>
                <td>
                    <label for="schrift_art"><b><?php echo $lang['admin_38']; ?></b><br/><?php echo $lang['admin_39']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="text" name="schrift_art" id="schrift_art" size="60"
                           value="<?php echo $schrift_art; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="schriftfarbe"><b><?php echo $lang['admin_55']; ?></b><br/><?php echo $lang['admin_56']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="schriftfarbe" id="schriftfarbe" size="60"
                           value="<?php echo $schriftfarbe; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="linkfarbe"><b><?php echo $lang['admin_57']; ?></b><br/><?php echo $lang['admin_58']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="color" name="linkfarbe" id="linkfarbe" size="60" value="<?php echo $linkfarbe; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="schrift_grosse"><b><?php echo $lang['admin_40']; ?></b><br/><?php echo $lang['admin_41']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="number" name="schrift_grosse" id="schrift_grosse" size="60"
                           value="<?php echo $schrift_grosse; ?>">
                  <?php echo $lang['admin_50']; ?>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="breite_input"><b><?php echo $lang['admin_48']; ?></b><br/><?php echo $lang['admin_49']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="number" name="breite_input" id="breite_input" size="60"
                           value="<?php echo $breite_input; ?>">
                  <?php echo $lang['admin_50']; ?>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="breite"><b><?php echo $lang['admin_59']; ?></b><br/><?php echo $lang['admin_60']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="number" name="breite" id="breite" size="60"
                           value="<?php echo $breite; ?>">
                  <?php echo $lang['admin_50']; ?>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="sortieren_nach"><b><?php echo $lang['admin_45']; ?></b><br/><?php echo $lang['admin_47']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>

                    <select name="sortieren_nach" id="sortieren_nach">
                        <option
                                value="1" <?php echo(($sortieren_nach == 1) ? 'selected' : ''); ?>><?php echo $lang['admin_44']; ?></option>
                        <option
                                value="2" <?php echo(($sortieren_nach == 2) ? 'selected' : ''); ?>><?php echo $lang['admin_46']; ?></option>
                    </select>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="icq_anzeigen"><b><?php echo $lang['admin_63']; ?></b><br/><?php echo $lang['admin_64']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>

                    <select name="icq_anzeigen" id="icq_anzeigen">
                        <option
                                value="1" <?php echo(($icq_anzeigen == 1) ? 'selected' : ''); ?>><?php echo $lang['admin_25']; ?></option>
                        <option
                                value="2" <?php echo(($icq_anzeigen == 2) ? 'selected' : ''); ?>><?php echo $lang['admin_26']; ?></option>
                    </select>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="datenschutzerklaerung_anzeigen"><b><?php echo $lang['admin_65']; ?></b><br/><?php echo $lang['admin_66']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>

                    <select name="datenschutzerklaerung_anzeigen" id="datenschutzerklaerung_anzeigen">
                        <option
                                value="1" <?php echo(($datenschutzerklaerung_anzeigen == 1) ? 'selected' : ''); ?>><?php echo $lang['admin_25']; ?></option>
                        <option
                                value="2" <?php echo(($datenschutzerklaerung_anzeigen == 2) ? 'selected' : ''); ?>><?php echo $lang['admin_26']; ?></option>
                    </select>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="link_datenschutzerklaerung"><b><?php echo $lang['admin_67']; ?></b><br/><?php echo $lang['admin_68']; ?>
                        <br/>&nbsp;</label>
                </td>
                <td>
                    <input type="url" name="link_datenschutzerklaerung" id="link_datenschutzerklaerung" size="60"
                           value="<?php echo $link_datenschutzerklaerung; ?>">

                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="captcha_anzeigen"><b><?php echo $lang['admin_111']; ?></b><br/><?php echo sprintf($lang['admin_112'],'<a href="erweiterung_anzeige.php">'.$lang['admin_113'].'</a>'); ?>
                        <br/>&nbsp;</label>
                </td>
                <td>

                    <select name="captcha_anzeigen" id="captcha_anzeigen">
                        <option
                                value="1" <?php echo(($captcha_anzeigen == 1) ? 'selected' : ''); ?> <?php echo((@file_exists(dirname(__FILE__) . '/../bild.php') == 1) ? '' : 'disabled');?>><?php echo $lang['admin_25']; ?></option>
                        <option
                                value="0" <?php echo(($captcha_anzeigen == 0) ? 'selected' : ''); ?>><?php echo $lang['admin_26']; ?></option>
                    </select>
                    <br>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="captcha_anzeigen"><b><?php echo $lang['admin_114']; ?></b><br/><?php echo sprintf($lang['admin_115'],'<a href="erweiterung_anzeige.php">'.$lang['admin_116'].'</a>'); ?>
                        <br/>&nbsp;</label>
                </td>
                <td>

                    <select name="wortfilter_aktiv" id="wortfilter_aktiv">
                        <option
                                value="1" <?php echo(($wortfilter_aktiv == 1) ? 'selected' : ''); ?> <?php echo((@file_exists(dirname(__FILE__) . '/inc/wortfilter.php') == 1) ? '' : 'disabled');?>><?php echo $lang['admin_25']; ?></option>
                        <option
                                value="0" <?php echo(($wortfilter_aktiv == 0) ? 'selected' : ''); ?>><?php echo $lang['admin_26']; ?></option>
                    </select>
                    <br>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <input type="submit" name="Submit" value="<?php echo $lang['admin_42']; ?>"></td>
            </tr>
        </table>
    </form>
<?php include(dirname(__FILE__) . '/template_footer.tpl');